A plugin to use Contentsquare in Flutter apps.

This plugin supports Android and iOS.

## Features

Use this plugin in your Flutter app to:

- Manage opt-in and opt-out of analytic.
- Track screenviews and transactions.

## Getting started

This plugin relies on the Contentsquare native SDKs to log events.
It exposes a unified surface, but you can consult each SDK documentation for more in-depth information :

- [Android documentation](https://docs.contentsquare.com/android/)
- [iOS documentation](https://docs.contentsquare.com/ios/)

### iOS

To ensure optimal compatibilty, make sure you respect the [iOS compatibility documentation](https://docs.contentsquare.com/en/ios/compatibility/).

### Android

The plugin works out of the box.

## Usage

To learn how to use this plugin, [see the documentation](https://docs.contentsquare.com/flutter/)
