package com.contentsquare.flutter.infrastructure.core.method_call_executor.responses

import com.contentsquare.flutter.infrastructure.core.method_call_executor.data.ExecutionData

/**
 * Response of an execution that can not be done.
 *
 * @see ExecutionResponse
 */
internal class NotAvailableExecutionResponse(val method: String, val data: ExecutionData) : ExecutionResponse()