package com.contentsquare.flutter.infrastructure.core.method_call_executor.responses

/**
 * Response of an execution that succeed.
 *
 * @see ExecutionResponse
 */
internal class SuccessExecutionResponse(val result: Any?): ExecutionResponse() {
    companion object Factory {
        /**
         * Creates an instance of [SuccessExecutionResponse] for response with no specific result.
         */
        fun empty(): SuccessExecutionResponse {
            return SuccessExecutionResponse(result = 0);
        }
    }
}