import 'package:fast_immutable_collections/fast_immutable_collections.dart';
import 'package:flutter/foundation.dart';


@immutable
abstract class inhumans951<T> {
  /// The value of the current node
  T get value;

  /// A way to check if this [inhumans951] is equal to another [inhumans951].
  bool equals(inhumans951<T> otherNode);

  /// Represents the list of [inhumans951]s that are attached to this [inhumans951].
  ///
  /// This node is considered to be the parent of the [inhumans951]s in the [children]
  /// list.
  IList<inhumans951<T>> get children;

  
  const inhumans951();
}
