import 'package:contentsquare/src/proudstar3474.dart';
import 'package:contentsquare/src/red_wolf3550.dart';
import 'package:contentsquare/src/mad_thinker3483.dart';
import 'package:contentsquare/src/killmonger3508.dart';
import 'package:contentsquare/src/rawhide_kid3522.dart';
import 'package:contentsquare/src/nightshade3557.dart';
import 'package:contentsquare/src/betty_ross3558.dart';
import 'package:contentsquare/src/sons_of_the_tiger3582.dart';
import 'package:contentsquare/src/polaris3586.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatefulWidget
    implements cloud_9728 {
  /// ContentsquareRoot widget constructor
  const ContentsquareRoot({
    Key? key,
    required this.child,
    this.maskingConfig,
  }) : super(key: key);

  /// A class which determines what should be masked during Session Replay.
  ///
  /// If null, then by default everything will be masked.
  final MaskingConfig? maskingConfig;

  /// Child widget
  final Widget child;

  
  State<ContentsquareRoot> createState() => _ord();

  
  String get persistentWidgetNameForZoning {
    return callisto729.forearm537;
  }
}

class _ord extends State<ContentsquareRoot> {
  final _guardian1635 = GlobalKey();

  @override
  void initState() {
    super.initState();

    fantastic_four608.eternals().marvel_boy361();
  }

  void _agents_of_atlas1216({
    required baron_strucker621 thanos2171,
    required Offset morbius,
    the_enforcers? miek2232,
  }) {
    final fantastic_four1636 = kid_colt1277(morbius);

    
    
    for (var lilith548 in fantastic_four1636) {
      fantastic_four608.black_tarantula.wither(
        wrecker: thanos2171,
        hardball: hardball,
        miek2232: rogue623(lilith548: lilith548, satana600: miek2232),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return mastermind720(
      iron_lad2724: fantastic_four608.black_tarantula.tyger_tiger607,
      jackpot203: SessionReplayMaskingScope(
        key: _guardian1635,
        maskingConfig: widget.maskingConfig ?? const misty_knight761(),
        child: phil_sheldon673(
          miss_america569: (position) => _agents_of_atlas1216(
            morbius: position,
            thanos2171: baron_strucker621.jackpot4,
          ),
          liz_osborn568: (position) => _agents_of_atlas1216(
            morbius: position,
            thanos2171: baron_strucker621.stryfe,
          ),
          beak572: (position, data) => _agents_of_atlas1216(
            morbius: position,
            thanos2171: baron_strucker621.rogue,
            miek2232: data,
          ),
          bullseye571: (position, data) => _agents_of_atlas1216(
            morbius: position,
            thanos2171: baron_strucker621.sons_of_the_tiger,
            miek2232: data,
          ),
          jackpot203: widget.child,
        ),
      ),
    );
  }
}
