import 'package:contentsquare/src/meggan3555.dart';
import 'package:flutter/widgets.dart';

import 'package:contentsquare/src/sandman3546.dart';

/// A [ReliableTarget] is a widget that can be used to reliably target widgets
class ReliableTarget extends SingleChildRenderObjectWidget
    with chase_stein727 {
  /// The identifier of this ReliableTarget.
  final String name;

  /// Creates a [ReliableTarget].
  const ReliableTarget({
    Key? key,
    required Widget child,
    required this.name,
  })  : assert(
          name.length > 0,
          'The name of ReliableTarget should NOT be empty',
        ),
        super(key: key, child: child);

  
  RenderObject createRenderObject(BuildContext context) {
    return vision716();
  }
}
