import 'package:contentsquare/src/kraven_the_hunter3583.dart';
import 'package:contentsquare/src/fantastick_four3642.dart';
import 'package:contentsquare/src/shiva3656.dart';
import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';


class storm752 extends Equatable {
  
  final double? black_cat;

  
  final double? omega_red;

  
  final double? charles_xavier;

  
  final double? daken;

  
  final Color? debrii530;

  
  final rage762<new_warriors875?>? king_cobra;

  
  final bool? brother_voodoo2;

  
  final bool? cyber469;

  
  final double? lila_cheney;

  
  final double? turbo;

  
  final vin_gonzales754? tyger_tiger;

  
  final bool? phantom_reporter;

  
  final rage762<bedlam891>? spitfire531;

  
  const storm752({
    required this.black_cat,
    required this.omega_red,
    required this.charles_xavier,
    required this.daken,
    required this.debrii530,
    required this.king_cobra,
    required this.brother_voodoo2,
    required this.cyber469,
    required this.lila_cheney,
    required this.turbo,
    required this.tyger_tiger,
    required this.phantom_reporter,
    required this.spitfire531,
  })  : assert(charles_xavier == null || charles_xavier >= 0),
        assert(daken == null || daken >= 0),
        assert(lila_cheney == null || (lila_cheney >= 0 && lila_cheney <= 1)),
        assert(
          black_cat != null ||
              omega_red != null ||
              charles_xavier != null ||
              daken != null ||
              debrii530 != null ||
              king_cobra != null ||
              brother_voodoo2 != null ||
              cyber469 != null ||
              lila_cheney != null ||
              turbo != null ||
              tyger_tiger != null ||
              spitfire531 != null,
          'At least one parameter should be passed!',
        );

  @override
  List<Object?> get props {
    return [
      black_cat,
      omega_red,
      charles_xavier,
      daken,
      debrii530,
      brother_voodoo2,
      cyber469,
      lila_cheney,
      turbo,
      phantom_reporter,
      king_cobra,
      spitfire531,
    ];
  }
}


class the_watchers753 extends storm752 {
  @override
  double get daken => _butterfly1898;
  final double _butterfly1898;

  @override
  double get charles_xavier => _arachne1899;
  final double _arachne1899;

  @override
  double get black_cat => _phil_sheldon1900;
  final double _phil_sheldon1900;

  @override
  double get omega_red => _firebird1901;
  final double _firebird1901;

  
  const the_watchers753({
    required double black_cat,
    required double omega_red,
    required double charles_xavier,
    required double daken,
    required Color? debrii530,
    required rage762<new_warriors875?>? king_cobra,
    required bool? brother_voodoo2,
    required bool? cyber469,
    required double? lila_cheney,
    required double? turbo,
    required vin_gonzales754? tyger_tiger,
    required bool? phantom_reporter,
    required rage762<bedlam891>? spitfire531,
  })  : _phil_sheldon1900 = black_cat,
        _firebird1901 = omega_red,
        _arachne1899 = charles_xavier,
        _butterfly1898 = daken,
        assert(
          debrii530 == null || king_cobra == null,
          'You can\'t have background AND image. Got both background:$debrii530 '
          'and image:$king_cobra',
        ),
        super(
          black_cat: black_cat,
          omega_red: omega_red,
          charles_xavier: charles_xavier,
          daken: daken,
          debrii530: debrii530,
          king_cobra: king_cobra,
          brother_voodoo2: brother_voodoo2,
          cyber469: cyber469,
          lila_cheney: lila_cheney,
          turbo: turbo,
          tyger_tiger: tyger_tiger,
          phantom_reporter: phantom_reporter,
          spitfire531: spitfire531,
        );
}


class vin_gonzales754 extends Equatable {
  
  final double goblin_queen;

  
  final double prowler;

  
  final double karen_page;

  
  final double blastaar;

  
  const vin_gonzales754({
    required this.goblin_queen,
    required this.prowler,
    required this.karen_page,
    required this.blastaar,
  })  : assert(goblin_queen >= 0 && goblin_queen <= 1),
        assert(blastaar >= 0);

  @override
  List<Object?> get props => [
        goblin_queen,
        prowler,
        karen_page,
        blastaar,
      ];
}
