import 'package:contentsquare/contentsquare.dart';

/// Custom variables are used to provide additional information about a page and
/// are provided within [Contentsquare.send].
class CustomVar {
  /// The index of the custom variable.
  final int index;

  /// The name of the custom variable.
  final String name;

  /// The value of the custom variable.
  final String value;

  /// Creates a new custom variable.
  CustomVar({
    required this.index,
    required this.name,
    required this.value,
  });
}
